Bug 141765 - launcher icons causes application crash
launcher icons causes application crash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: desktop-file-utils (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-03 12:09 EST by ox petrowski
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 17:23:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ox petrowski 2004-12-03 12:09:46 EST
Description of problem:Launcher icons on the desktop or in a panel
with "run in terminal" selected causes Blender 3D to terminate when
hot-key Alt+A is used. If Blender is run from CLI this problem does
not exist. If "run in terminal" is deselected in the icon properties
dialogue box the application runs fine.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Create a launcher for Blender 3d on the desktop or panel.
2.Select "run in terminal" in the launcher icon properties dialogue box.
3.Create a 3d animation in Blender3D animation. In a 3D view window do
Alt+A to preview the wire mesh animation.
  
Actual results:
Program termination

Expected results:
Preview of 3D animation 

Additional info:
This bug appears in gnome, KDE and in various screen resolutions.
Below is a copy of workaround .txt file submitted to Blenders' Linux FAQ:

Fedora Core 2 hot key bug.

Problem: Alt+A in Blender 3D window views causes Blender to terminate. 

If blender is started in Fedora Core 2 by using an icon launcher from
the Desktop or Panel with the "run in terminal" option selected,
hot-key Alt+A (3d view animation) will terminate Blender on the first
or second instance of its use. 

Solution #1: From a terminal(CLI) navigate to your Blender directory
and start Blender with ./blender

Solution #2: Deselect "run in terminal" in the Blender Desktop or
Panel launcher icon properties. Right click on the icon. Select
"properties" from the dialogue box. Deselect the "run in terminal
"option".
Comment 1 Matthew Miller 2005-04-26 11:26:43 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Ray Strode [halfline] 2005-05-11 17:23:49 EDT
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.

Note You need to log in before you can comment on or make changes to this bug.